Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Merge pull request #742 from wilkie/bugfix/therubyracer-only-on-linux

Bugfix/therubyracer only on linux
  • Loading branch information...
commit 6b6d6d7fa8bb88da8424468a8ed1c63c31079a4d 2 parents 277ed9a + 66bb57c
@steveklabnik steveklabnik authored
Showing with 11 additions and 5 deletions.
  1. +5 −1 Gemfile
  2. +6 −4 Gemfile.lock
View
6 Gemfile
@@ -11,6 +11,11 @@ group :assets do
gem 'coffee-rails', "~> 3.2.2"
gem 'uglifier', "~> 1.0.0"
gem 'jquery-ui-rails', "~> 2.0.0"
+
+ # Many Linux environments do not have a javascript environment which is
+ # required by the asset generators. However, windows and os x have one
+ # provided by the system.
+ gem "therubyracer", "~> 0.11.3" unless RUBY_PLATFORM.match(/darwin|mswin/)
end
gem "haml", "~> 3.1.4"
@@ -68,5 +73,4 @@ end
group :test do
gem "webmock", "~> 1.6.4"
- gem "therubyracer", "~> 0.9.9"
end
View
10 Gemfile.lock
@@ -134,7 +134,7 @@ GEM
kgio (2.7.4)
launchy (2.0.5)
addressable (~> 2.2.6)
- libv8 (3.3.10.4)
+ libv8 (3.11.8.13)
libwebsocket (0.1.5)
addressable
libxml-ruby (2.3.3)
@@ -212,6 +212,7 @@ GEM
rdoc (3.12.1)
json (~> 1.4)
redcarpet (1.17.2)
+ ref (1.0.2)
rest-client (1.6.7)
mime-types (>= 1.16)
rsa (0.1.4)
@@ -238,8 +239,9 @@ GEM
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
- therubyracer (0.9.10)
- libv8 (~> 3.3.10)
+ therubyracer (0.11.3)
+ libv8 (~> 3.11.8.12)
+ ref
thin (1.5.0)
daemons (>= 1.0.9)
eventmachine (>= 0.12.6)
@@ -324,7 +326,7 @@ DEPENDENCIES
sass-rails (~> 3.2.5)
show_me_the_cookies (~> 1.1.0)
simplecov (~> 0.4.0)
- therubyracer (~> 0.9.9)
+ therubyracer (~> 0.11.3)
thin (~> 1.5.0)
tire (~> 0.4.1)
twitter (~> 3.5.0)
Please sign in to comment.
Something went wrong with that request. Please try again.